Skip to content

List Orgs

GET
/api/superadmin/orgs
curl --request GET \
--url 'https://example.com/api/superadmin/orgs?limit=50&offset=0' \
--header 'Authorization: Bearer <token>'

Paginated list of all organizations.

search
Any of:
string

Search by org name

limit
Limit
integer
default: 50 >= 1 <= 200
offset
Offset
integer
0

Successful Response

Media type application/json
OrgListResponse
object
organizations
required
Organizations
Array<object>
OrgResponse
object
id
required
Id
string
name
required
Name
string
slug
Any of:
string
status
Status
string
default: active
member_count
Member Count
integer
0
deal_count
Deal Count
integer
0
created_at
Any of:
string
updated_at
Any of:
string
total
required
Total
integer
Example
{
"organizations": [
{
"status": "active",
"member_count": 0,
"deal_count": 0
}
]
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}